# postypes.h File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file postypes.h.

Go to the source code of this file.

## Namespaces

- namespace std

## Classes

- class std::fpos< _StateT >
    Class representing stream positions. More...

## Defines

- #define _GLIBCXX_POSTYPES_H

## Typedefs

- typedef long long std::streamoff
- typedef fpos< mbstate_t > std::streampos
- typedef ptrdiff_t std::streamsize
- typedef fpos< mbstate_t > std::wstreampos

## Functions

- template<typename _StateT> bool std::operator!= (const fpos< _StateT > &__lhs, const fpos< _StateT > &__rhs)
- template<typename _StateT> bool std::operator== (const fpos< _StateT > &__lhs, const fpos< _StateT > &__rhs)